<?php

namespace App\Definition;

use Lc\CaracoleBundle\Definition\MerchantSettingDefinition as CaracMerchantSettingDefinition;

class MerchantSettingDefinition extends CaracMerchantSettingDefinition
{
    const CATEGORY_EMAIL = 'email';

    const SETTING_EXAMPLE_TEXT = 'exampleText';
    const SETTING_EXAMPLE_TEXTAREA = 'exampleTextarea';
    const SETTING_EXAMPLE_TEXTAREA_ADVANCED = 'exampleTextareaAdvanced';
    const SETTING_EXAMPLE_TEXT2 = 'exampleText2';
    const SETTING_EXAMPLE_SELECT = 'exampleSelect';
    const SETTING_EXAMPLE_RADIO = 'exampleRadio';
    const SETTING_EXAMPLE_DATE = 'exampleDate';
    const SETTING_EXAMPLE_TIME = 'exampleTime';
    const SETTING_EXAMPLE_FILE = 'exampleFile';
    const SETTING_EXAMPLE_IMAGE = 'exampleImage';

    public function __construct()
    {

        parent::__construct() ;

        // général
        $this
                ->addSettingText(
                        [
                                'name' => self::SETTING_EXAMPLE_TEXT,
                                'category' => self::CATEGORY_GENERAL,
                                'default' => 'caracole !'
                        ]
                )
                ->addSettingTextarea(
                        [
                                'name' => self::SETTING_EXAMPLE_TEXTAREA,
                                'category' => self::CATEGORY_GENERAL,
                                'default' => 'test'
                        ]
                )
                ->addSettingTextareaAdvanced(
                        [
                                'name' => self::SETTING_EXAMPLE_TEXTAREA_ADVANCED,
                                'category' => self::CATEGORY_GENERAL
                        ]
                )
                ->addSettingSelect(
                        [
                                'name' => self::SETTING_EXAMPLE_SELECT,
                                'category' => self::CATEGORY_GENERAL,
                                'choices' => [
                                        'Select 1' => 1,
                                        'Select 2' => 2,
                                ]
                        ]
                )
                ->addSettingRadio(
                        [
                                'name' => self::SETTING_EXAMPLE_RADIO,
                                'category' => self::CATEGORY_GENERAL,
                                'choices' => [
                                        'Radio 1' => 1,
                                        'Radio 2' => 2,
                                ]
                        ]
                )
                ->addSettingDate(
                        [
                                'name' => self::SETTING_EXAMPLE_DATE,
                                'category' => self::CATEGORY_GENERAL
                        ]
                )
                ->addSettingTime(
                        [
                                'name' => self::SETTING_EXAMPLE_TIME,
                                'category' => self::CATEGORY_GENERAL
                        ]
                )
                ->addSettingFile(
                        [
                                'name' => self::SETTING_EXAMPLE_FILE,
                                'category' => self::CATEGORY_GENERAL
                        ]
                )
                ->addSettingImage(
                        [
                                'name' => self::SETTING_EXAMPLE_IMAGE,
                                'category' => self::CATEGORY_GENERAL
                        ]
                );

        // email
        $this
                ->addSettingText(
                        [
                                'name' => self::SETTING_EXAMPLE_TEXT2,
                                'category' => self::CATEGORY_EMAIL
                        ]
                );
    }

    public function getCategories()
    {
        return array_merge(parent::getCategories(), [
                self::CATEGORY_EMAIL,
        ]);
    }

}